package com.pmc.loganalysis.model;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @description
 */
@ApiModel(value = "短信下发表")
@Getter
@Setter
public class SmsPushsys {
    @ApiModelProperty(value = "id")
    @TableId
    private String id;

    @ApiModelProperty(value = "msg_hours_date")
    private String msg_hours_date;

    @ApiModelProperty(value = "total")
    private String total;

    @ApiModelProperty(value = "peak_value_min")
    private String peak_value_min;

    @ApiModelProperty(value = "peak_value_sec")
    private Integer peak_value_sec;

    @ApiModelProperty(value = "system_success_number")
    private Date system_success_number;

    @ApiModelProperty(value = "business_success_number")
    private Date business_success_number;



}