package com.pmc.loganalysis.config.multiple_data_sources;

import java.lang.annotation.*;

/**
 * @ClassDesc:功能描述 动态数据源注解
 */
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DataSource {
    /**
     * 数据源key值
     *
     * @return
     */
    String value();
}
