package com.pmc.loganalysis.controller;


import com.alibaba.fastjson.JSONObject;
import com.pmc.loganalysis.service.SmsPushsysService;

import com.pmc.loganalysis.util.DateUtils;
import org.springframework.beans.factory.annotation.Value;

import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Date;

/**
 */
@RestController
@RequestMapping("/pmc")
public class PmcGetData {

    @Value("${shell.shell-path1}")
    private String shellPath1;

    @Value("${shell.log-path1}")
    private String logPath1;
    @Value("${before-minute}")
    Integer beforeminutes;
    @Resource
    SmsPushsysService smsPushsysService;


    @PostMapping(value = "/pmcGetEnvoyMin")
    String getTravelCardRateByMin(@RequestBody JSONObject reqtiem){
        //获取现在时间（开始时间）
        Date nowDate = new Date ();
        //获取当前时间的前一分钟
        Date startDate = DateUtils.getDate(nowDate,beforeminutes);
        String startTime   = DateUtils.getDateStringYMDHMS(startDate,DateUtils.DATE_TIME_PATTERN);
        String startTimestr   = DateUtils.getDateStringYMDHMS(startDate,DateUtils.DATE_YYYYMMDDHHMMSS);
        Date endDate = DateUtils.getDate(nowDate,-1);
        String endTime = DateUtils.getDateStringYMDHMS(endDate,DateUtils.DATE_TIME_PATTERN);
        String endTimestr = DateUtils.getDateStringYMDHMS(endDate,DateUtils.DATE_YYYYMMDDHHMMSS);

        return  smsPushsysService.pushTravelCardByMinRate(startTime,endTime,startTimestr,endTimestr,"1","");
    }
}

